Package: org.codehaus.groovy.runtime.callsite

## [Java] Class ConstructorSite.NoParamSite

- org.codehaus.groovy.runtime.callsite.ConstructorSite.NoParamSite

-     public static class ConstructorSite.NoParamSite
      extends ConstructorSiteNoUnwrapNoCoerce

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final Object` | `callConstructor(Object receiver, Object[] args)`

- - ### Constructor Detail

    - #### public NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

  - ### Method Detail

    - #### @Override
      public final Object callConstructor(Object receiver, Object[] args)